Package de.willuhn.jameica.hbci.rmi

# Interface HibiscusDBObject

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Subinterfaces:
  `AuslandsUeberweisung`, `BaseDauerauftrag`, `BaseUeberweisung`, `Dauerauftrag`, `DBReminder`, `Flaggable`, `HibiscusAddress`, `HibiscusTransfer`, `Konto`, `Kontoauszug`, `Lastschrift`, `Nachricht`, `Protokoll`, `SammelLastBuchung`, `SammelLastschrift`, `SammelTransfer`, `SammelTransferBuchung`, `SammelUeberweisung`, `SammelUeberweisungBuchung`, `SepaDauerauftrag`, `SepaLastschrift`, `SepaSammelLastBuchung`, `SepaSammelLastschrift`, `SepaSammelTransfer<T>`, `SepaSammelTransferBuchung<T>`, `SepaSammelUeberweisung`, `SepaSammelUeberweisungBuchung`, `Turnus`, `Ueberweisung`, `Umsatz`

All Known Implementing Classes:
  `AbstractBaseDauerauftragImpl`, `AbstractBaseUeberweisungImpl`, `AbstractHibiscusDBObject`, `AbstractHibiscusTransferImpl`, `AbstractSammelTransferBuchungImpl`, `AbstractSammelTransferImpl`, `AbstractSepaSammelTransferBuchungImpl`, `AbstractSepaSammelTransferImpl`, `AuslandsUeberweisungImpl`, `DauerauftragImpl`, `DBReminderImpl`, `HibiscusAddressImpl`, `KontoauszugImpl`, `KontoImpl`, `LastschriftImpl`, `NachrichtImpl`, `ProtokollImpl`, `SammelLastBuchungImpl`, `SammelLastschriftImpl`, `SammelUeberweisungBuchungImpl`, `SammelUeberweisungImpl`, `SepaDauerauftragImpl`, `SepaLastschriftImpl`, `SepaSammelLastBuchungImpl`, `SepaSammelLastschriftImpl`, `SepaSammelUeberweisungBuchungImpl`, `SepaSammelUeberweisungImpl`, `TurnusImpl`, `UeberweisungImpl`, `UmsatzImpl`

public interface HibiscusDBObject extends de.willuhn.datasource.rmi.DBObject
Basis-Interface fuer (fast (ausser DBProperty und Version)) alle Entity-Klassen in Hibiscus.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMeta(String name, String defaultValue)`
Liefert den Wert eines Meta-Attributes.
`void`
`setMeta(String name, String value)`
Speichert den Wert des Meta-Attributes.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getMeta

String getMeta(String name, String defaultValue) throws RemoteException
Liefert den Wert eines Meta-Attributes.

Parameters:
  `name` - Name des Meta-Attributes.
  `defaultValue` - der Default-Wert.
Returns:
  der Wert des Attributes.
Throws:
  `RemoteException`

### setMeta

void setMeta(String name, String value) throws RemoteException
Speichert den Wert des Meta-Attributes. Die Aenderung wird sofort in die Datenbank uebernommen. Der Aufruf von "store()" ist nicht noetig. Wenn man das Setzen des Wertes in bestimmten Situationen rueckgaengig machen will, dann muss der Aufruf innerhalb einer Transaktion stehen. Beim Rollback wird auch das Meta-Attribute wieder geloescht. Weiterhin wichtig: Das Objekt muss sich bereits in der Datenbank befinden (also eine ID haben) - andernfalls koennen die Meta-Informationen ja nicht korrekt zugeordnet zugeordnet werden.

Parameters:
  `name` - Name des Meta-Attributes.
  `value` - Wert des Attributes.
Throws:
  `RemoteException`